Bug 600774 - resize: CreateException: Can't have a partition outside the disk!
resize: CreateException: Can't have a partition outside the disk!
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
13
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
anaconda_trace_hash:ff0349c07b580cf86...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-05 19:39 EDT by David Timms
Modified: 2011-06-27 13:36 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 13:36:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Attached traceback automatically from anaconda. (104.75 KB, text/plain)
2010-06-05 19:39 EDT, David Timms
no flags Details
Attached traceback automatically from anaconda. (200.48 KB, text/plain)
2010-06-09 19:30 EDT, Guido
no flags Details

  None (edit)
Description David Timms 2010-06-05 19:39:46 EDT
The following was filed automatically by anaconda:
anaconda 13.42 exception report
Traceback (most recent call first):
  File "/usr/lib/python2.6/site-packages/parted/geometry.py", line 53, in __init__
    self.__geometry = _ped.Geometry(self.device.getPedDevice(), start, length)
  File "/usr/lib/python2.6/site-packages/parted/decorators.py", line 31, in localeC
    ret = fn(*args, **kwds)
  File "<string>", line 2, in __init__
  File "/usr/lib/anaconda/storage/devices.py", line 1299, in _computeResize
    length=newLen)
  File "/usr/lib/anaconda/storage/devices.py", line 1050, in _setTargetSize
    (constraint, geometry) = self._computeResize(self.partedPartition)
  File "/usr/lib/anaconda/storage/devices.py", line 522, in <lambda>
    lambda s, v: s._setTargetSize(v),
  File "/usr/lib/anaconda/storage/deviceaction.py", line 244, in __init__
    self.device.targetSize = newsize
  File "/usr/lib/anaconda/iw/partition_dialog_gui.py", line 344, in run
    actions.append(ActionResizeDevice(request, size))
  File "/usr/lib/anaconda/iw/partition_gui.py", line 1682, in editPartition
    actions = parteditor.run()
  File "/usr/lib/anaconda/iw/partition_gui.py", line 1646, in editCB
    self.editPartition(device)
CreateException: Can't have a partition outside the disk!
Comment 1 David Timms 2010-06-05 19:39:50 EDT
Created attachment 421516 [details]
Attached traceback automatically from anaconda.
Comment 2 David Timms 2010-06-05 19:48:12 EDT
This was an attempt to install release f13 i686 onto an existing vfat partition consuming the whole of a 1GB usb flash disk, on a iei panelpc (atom).

The fat partition was marked to be /
Anaconda indicated that boot devices must be linux partitions.

Edited the fat partition, marking as /, but checking resize and typing in 900 MB.
As I tab to the next button, the 900 is reverted to 980 (the full size).
Clicking next resulted in the exception.

ps. It isn't clear yet whether I can select few enough packages to fit on the 1GB storage.
Comment 3 Guido 2010-06-09 19:30:12 EDT
Created attachment 422731 [details]
Attached traceback automatically from anaconda.
Comment 4 Bug Zapper 2011-06-02 07:55:17 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2011-06-27 13:36:00 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.